@echo off
REM  DOS/Windows Floppy Image RAWRITE script

echo   ##############################################################
echo   #                                                            #
echo   #  RAM PROBE V1.70 Installation                              #
echo   #  This installation creates a bootable floppy disk.         #
echo   #                                                            #
echo   #  This software is a standalone memory test and must be     #
echo   #  booted from a floppy disk. Memtest cannot be executed     #
echo   #  under DOS or Windows.                                     #
echo   #                                                            #
echo   #  NOTE: You will not be able to read from the floppy after  #
echo   #        the test is installed. This is normal.              #
echo   #                                                            #
echo   ##############################################################
echo   .

REM  Are both files here?
if not exist .\rawrite.exe goto NO_PGM
if not exist .\rpfloppy.bin goto NO_BIN

rawrite -f rpfloppy.bin
if ERRORLEVEL == 1 goto ERROR
echo Done!
echo To run RAM Probe, leave the floppy in the drive and reboot.
goto EXIT

:NO_PGM
echo Error: Can't find "rawrite.exe". This program must be in the
echo same directory as the install script.
goto ERROR

:NO_BIN
echo Error: Can't find "rpfloppy.bin". This file must be in the
echo same directory as the install script.
goto ERROR

:ERROR
echo Installation failed!

:EXIT
pause